{ pkgs, ... }:

let
  colors = import ../colors;
  theme = colors.theme;
in {
  home.packages = with pkgs; [
    (pkgs.callPackage ./power.nix { })
    wmctrl # TODO: add as dependency of rofi-power
  ];
  programs.rofi = {
    enable = true;
    inherit theme;
  };
  home.file.".config/rofi/${theme}.rasi".source = pkgs.substituteAll ({
    src = ./theme.rasi;
  } // colors.colors);
}
